ThinkLP API
stringstring · uuid · pattern: string · uuid · pattern: stringinteger · min: 1 · max: 9007199254740991integer · min: 1 · max: 200
string · uuidstring · uuid · pattern: string · uuid · pattern: string[] · minItems: 1 · requiredstring | null · uuid · pattern: string | null · uuid · pattern: stringstring | nullstring · date · pattern: string | null · date · pattern:
string · uuid · pattern: string · uuidstring · enumstring | nullstring | null · date · pattern: integer · min: -9007199254740991 · max: 9007199254740991stringstring[] · minItems: 1string | null · uuid · pattern:
string · uuid · pattern: string · uuid
Scheduling
Schedule recurring audits, and manage the programs and templates they run from.
Activate a program template
POST
/v1/audit-program-templates/{id}/activate
Deactivate a program template
POST
/v1/audit-program-templates/{id}/deactivate
Reactivate a program template
POST
/v1/audit-program-templates/{id}/reactivate
List schedules
GET
/v1/audit-schedules/
query Parameters
idssearchtemplate_id^([0-9a-fA-F]{8}-[0-…program_id^([0-9a-fA-F]{8}-[0-…statuspageDefault: 1
page_sizeDefault: 50
List schedules › Responses
Successful response
Where the page sits in the whole result
Create a schedule
POST
/v1/audit-schedules/
Headers
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Create a schedule › Request Body
program_template_id^([0-9a-fA-F]{8}-[0-… · requiredtemplate_id^([0-9a-fA-F]{8}-[0-… · requiredlocation_hierarchy_node_idsprogram_id^([0-9a-fA-F]{8}-[0-…location_hierarchy_node_id^([0-9a-fA-F]{8}-[0-…object
object
schedule_typeobject
next_due_datestart_date^(?:(?:\d\d[2468][04…end_date^(?:(?:\d\d[2468][04…Create a schedule › Responses
Successful response
Update a schedule
PATCH
/v1/audit-schedules/{id}
path Parameters
id^([0-9a-fA-F]{8}-[0-… · requiredHeaders
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Update a schedule › Request Body
statusEnum values:
active
inactive
object
object
object
next_due_dateend_date^(?:(?:\d\d[2468][04…sort_orderschedule_typelocation_hierarchy_node_idslocation_hierarchy_node_id^([0-9a-fA-F]{8}-[0-…Update a schedule › Responses
Successful response
Run a schedule now
POST
/v1/audit-schedules/{id}/run
path Parameters
id^([0-9a-fA-F]{8}-[0-… · requiredHeaders
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Run a schedule now › Responses
Successful response
audit.assignment.post.v1_audits.response[] · required
Publish audit section library
POST
/v1/audit-section-library/{id}/publish